| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes | List of all members
HiveWhiteBoard Class Reference

Data service base class. More...

Inheritance diagram for HiveWhiteBoard:
[legend]
Collaboration diagram for HiveWhiteBoard:
[legend]

## Public Member Functions
CLID | rootCLID () const override
| IDataManagerSvc: Accessor for root event CLID. More...
const std::string & | rootName () const override
| Name for root Event. More...
StatusCode | registerAddress (const std::string &path, IOpaqueAddress *pAddr) override
| IDataManagerSvc: Register object address with the data store. More...
StatusCode | registerAddress (DataObject *parent, const std::string &path, IOpaqueAddress *pAddr) override
| IDataManagerSvc: Register object address with the data store. More...
StatusCode | registerAddress (IRegistry *parent, const std::string &path, IOpaqueAddress *pAdd) override
| IDataManagerSvc: Register object address with the data store. More...
StatusCode | unregisterAddress (const std::string &path) override
| IDataManagerSvc: Unregister object address from the data store. More...
StatusCode | unregisterAddress (DataObject *pParent, const std::string &path) override
| IDataManagerSvc: Unregister object address from the data store. More...
StatusCode | unregisterAddress (IRegistry *pParent, const std::string &path) override
| IDataManagerSvc: Unregister object address from the data store. More...
StatusCode | objectLeaves (const DataObject *pObject, std::vector< IRegistry * > &leaves) override
| Explore the object store: retrieve all leaves attached to the object. More...
StatusCode | objectLeaves (const IRegistry *pObject, std::vector< IRegistry * > &leaves) override
| Explore the object store: retrieve all leaves attached to the object. More...
StatusCode | objectParent (const DataObject *pObject, IRegistry *&refpParent) override
| IDataManagerSvc: Explore the object store: retrieve the object's parent. More...
StatusCode | objectParent (const IRegistry *pObject, IRegistry *&refpParent) override
| IDataManagerSvc: Explore the object store: retrieve the object's parent. More...
StatusCode | clearSubTree (const std::string &path) override
| Remove all data objects below the sub tree identified. More...
StatusCode | clearSubTree (DataObject *pObject) override
| Remove all data objects below the sub tree identified. More...
StatusCode | clearStore () override
| IDataManagerSvc: Remove all data objects in the data store. More...
StatusCode | traverseSubTree (const std::string &path, IDataStoreAgent *pAgent) override
| Analyze by traversing all data objects below the sub tree. More...
StatusCode | traverseSubTree (DataObject *pObject, IDataStoreAgent *pAgent) override
| IDataManagerSvc: Analyze by traversing all data objects below the sub tree. More...
StatusCode | traverseTree (IDataStoreAgent *pAgent) override
| IDataManagerSvc: Analyze by traversing all data objects in the data store. More...
StatusCode | setRoot (std::string path, DataObject *pObj) override
| Initialize data store for new event by giving new event path and root object. More...
StatusCode | setRoot (std::string path, IOpaqueAddress *pAddr) override
| Initialize data store for new event by giving new event path and address of root object. More...
StatusCode | setDataLoader (IConversionSvc *pDataLoader, IDataProviderSvc *dpsvc __attribute__((unused))=nullptr) override
| IDataManagerSvc: Pass a default data loader to the service. More...
StatusCode | addPreLoadItem (const DataStoreItem &item) override
| Add an item to the preload list. More...
StatusCode | addPreLoadItem (const std::string &item) override
| Add an item to the preload list. More...
StatusCode | removePreLoadItem (const DataStoreItem &item) override
| Remove an item from the preload list. More...
StatusCode | removePreLoadItem (const std::string &item) override
| Add an item to the preload list. More...
StatusCode | resetPreLoad () override
| Clear the preload list. More...
StatusCode | preLoad () override
| load all preload items of the list More...
StatusCode | registerObject (const std::string &path, DataObject *pObj) override
| Register object with the data store. (The most common one is the only monitored one for the time being....) More...
StatusCode | registerObject (const std::string &parent, const std::string &obj, DataObject *pObj) override
| Register object with the data store. More...
StatusCode | registerObject (const std::string &parent, int item, DataObject *pObj) override
| Register object with the data store. More...
StatusCode | registerObject (DataObject *parent, const std::string &obj, DataObject *pObj) override
| Register object with the data store. More...
StatusCode | registerObject (DataObject *parent, int obj, DataObject *pObj) override
| Register object with the data store. More...
StatusCode | unregisterObject (const std::string &path) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (const std::string &parent, const std::string &obj) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (const std::string &parent, int obj) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pObj) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pObj, const std::string &path) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pObj, int item) override
| Unregister object from the data store. More...
StatusCode | retrieveObject (IRegistry *parent, const std::string &path, DataObject *&pObj) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (const std::string &path, DataObject *&pObj) override
| Retrieve object identified by its full path from the data store. More...
StatusCode | retrieveObject (const std::string &parent, const std::string &path, DataObject *&pObj) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (const std::string &parent, int item, DataObject *&pObj) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parent, const std::string &path, DataObject *&pObj) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parent, int item, DataObject *&pObj) override
| Retrieve object from data store. More...
StatusCode | findObject (const std::string &path, DataObject *&pObj) override
| Find object identified by its full path in the data store. More...
StatusCode | findObject (IRegistry *parent, const std::string &path, DataObject *&pObj) override
| Find object identified by its full path in the data store. More...
StatusCode | findObject (const std::string &parent, const std::string &path, DataObject *&pObj) override
| Find object in the data store. More...
StatusCode | findObject (const std::string &parent, int item, DataObject *&pObject) override
| Find object in the data store. More...
StatusCode | findObject (DataObject *parent, const std::string &path, DataObject *&pObject) override
| Find object in the data store. More...
StatusCode | findObject (DataObject *parent, int item, DataObject *&pObject) override
| Find object in the data store. More...
StatusCode | linkObject (IRegistry *from, const std::string &objPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | linkObject (const std::string &from, const std::string &objPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | linkObject (DataObject *from, const std::string &objPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | linkObject (const std::string &fullPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | unlinkObject (IRegistry *from, const std::string &objPath) override
| Remove a link to another object. More...
StatusCode | unlinkObject (const std::string &from, const std::string &objPath) override
| Remove a link to another object. More...
StatusCode | unlinkObject (DataObject *from, const std::string &objPath) override
| Remove a link to another object. More...
StatusCode | unlinkObject (const std::string &path) override
| Remove a link to another object. More...
StatusCode | updateObject (IRegistry *pDirectory) override
| Update object identified by its directory entry. More...
StatusCode | updateObject (const std::string &path) override
| Update object. More...
StatusCode | updateObject (DataObject *pObj) override
| Update object. More...
StatusCode | updateObject (const std::string &parent, const std::string &updatePath) override
| Update object. More...
StatusCode | updateObject (DataObject *parent, const std::string &updatePath) override
| Update object. More...
StatusCode | clearStore (size_t partition) override
| Remove all data objects in one 'slot' of the data store. More...
StatusCode | selectStore (size_t partition) override
| Activate a partition object. The identifies the partition uniquely. More...
StatusCode | setNumberOfStores (size_t slots) override
| Set the number of event slots (copies of DataSvc objects). More...
size_t | getNumberOfStores () const override
| Get the number of event slots (copies of DataSvc objects). More...
StatusCode | getNewDataObjects (DataObjIDColl &products) override
| Get the list of new DataObjects in the current store. More...
bool | newDataObjectsPresent () override
| Check if new DataObjects are in the current store. More...
size_t | allocateStore (int evtnumber) override
| Allocate a store partition for a given event number. More...
StatusCode | freeStore (size_t partition) override
| Free a store partition. More...
size_t | getPartitionNumber (int eventnumber) const override
| Get the partition number corresponding to a given event. More...
StatusCode | attachServices ()
StatusCode | detachServices ()
StatusCode | initialize () override
| Service initialisation. More...
StatusCode | reinitialize () override
| Service initialisation. More...
StatusCode | finalize () override
| Service initialisation. More...
virtual | ~HiveWhiteBoard ()
| Standard Destructor. More...
Public Member Functions inherited from extends< Service, IDataProviderSvc, IDataManagerSvc, IHiveWhiteBoard >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName, bool createIf=true)
| Declare used tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
const SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the cached level (originally extracted from the embedded MsgStream) More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Protected Types
typedef std::vector< Partition > | Partitions

## Protected Attributes
Gaudi::Property< CLID > | m_rootCLID {this, "RootCLID", 110 , "CLID of root entry"}
Gaudi::Property< std::string > | m_rootName {this, "RootName", "/Event", "name of root entry"}
Gaudi::Property< std::string > | m_loader {this, "DataLoader", "EventPersistencySvc", ""}
Gaudi::Property< int > | m_slots {this, "EventSlots", 1, "number of event slots"}
Gaudi::Property< bool > | m_forceLeaves {this, "ForceLeaves", false, "force creation of default leaves on registerObject"}
Gaudi::Property< bool > | m_enableFaultHdlr
IConversionSvc * | m_dataLoader = nullptr
| Pointer to data loader service. More...
IAddressCreator * | m_addrCreator = nullptr
| Reference to address creator. More...
Partitions | m_partitions
| Datastore partitions. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Additional Inherited Members
Public Types inherited from extends< Service, IDataProviderSvc, IDataManagerSvc, IHiveWhiteBoard >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
MSG::Level | setUpMessaging ()
| Set up local caches. More...
MSG::Level | resetMessaging ()
| Reinitialize internal states. More...
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...

## Detailed Description

Data service base class.

A data service manages the transient data stores and implements the IDataProviderSvc, the IDataManagerSvc and the IPartitionControl interfaces.

Author
  Markus Frank
  Sebastien Ponce
  Pere Mato

Version
  1.0

Definition at line 95 of file HiveWhiteBoard.cpp.

## Member Typedef Documentation

typedef std::vector<Partition> HiveWhiteBoard::Partitions
| protected

Definition at line 98 of file HiveWhiteBoard.cpp.

## Constructor & Destructor Documentation

virtual HiveWhiteBoard::~HiveWhiteBoard | ( |  | ) |
| inline virtual

Standard Destructor.

Definition at line 629 of file HiveWhiteBoard.cpp.

630 {
631 setDataLoader( 0 ).ignore();
632 resetPreLoad().ignore();
633 clearStore().ignore();
634
635 for ( Partitions::iterator i = m_partitions.begin(); i != m_partitions.end(); ++i ) {
636 ( *i ).dataManager->release();
637 ( *i ).dataProvider->release();
638 }
639 m_partitions.clear();
640 }
HiveWhiteBoard::setDataLoader
StatusCode setDataLoader(IConversionSvc *pDataLoader, IDataProviderSvc *dpsvc __attribute__((unused))=nullptr) override
IDataManagerSvc: Pass a default data loader to the service.
Definition: HiveWhiteBoard.cpp:218
HiveWhiteBoard::resetPreLoad
StatusCode resetPreLoad() override
Clear the preload list.
Definition: HiveWhiteBoard.cpp:257
std::vector::end
T end(T...args)
HiveWhiteBoard::clearStore
StatusCode clearStore() override
IDataManagerSvc: Remove all data objects in the data store.
Definition: HiveWhiteBoard.cpp:185
std::vector::clear
T clear(T...args)
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113
std::vector::begin
T begin(T...args)
StatusCode::ignore
void ignore() const
Definition: StatusCode.h:109

## Member Function Documentation

StatusCode HiveWhiteBoard::addPreLoadItem | ( | const DataStoreItem & | item | ) |
| inline override

Add an item to the preload list.

Definition at line 233 of file HiveWhiteBoard.cpp.

234 {
235 for ( auto& p : m_partitions ) p.dataProvider->addPreLoadItem( item );
236 return StatusCode::SUCCESS;
237 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::addPreLoadItem | ( | const std::string & | item | ) |
| inline override

Add an item to the preload list.

Definition at line 239 of file HiveWhiteBoard.cpp.

240 {
241 for ( auto& p : m_partitions ) p.dataProvider->addPreLoadItem( item );
242 return StatusCode::SUCCESS;
243 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

size_t HiveWhiteBoard::allocateStore | ( | int | evtnumber | ) |
| inline override

Allocate a store partition for a given event number.

Definition at line 488 of file HiveWhiteBoard.cpp.

489 {
490 // size_t free = std::string::npos;
491 size_t index = 0;
492 for ( auto& p : m_partitions ) {
493 if ( p.eventNumber == evtnumber ) {
494 error() << "Attempt to allocate a store partition for an event that is still active" << endmsg;
495 return std::string::npos;
496 } else if ( p.eventNumber == -1 ) {
497 p.eventNumber = evtnumber;
498 // info() << "Got allocated slot..." << index << endmsg;
499 return index;
500 }
501 index++;
502 }
503 return std::string::npos;
504 }
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:106
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode HiveWhiteBoard::attachServices | ( |  | ) |
| inline

Definition at line 525 of file HiveWhiteBoard.cpp.

526 {
527 StatusCode sc = service( m_loader, m_addrCreator, true );
528 if ( !sc.isSuccess() ) {
529 error() << "Failed to retrieve data loader "
530 << "\"" << m_loader << "\"" << endmsg;
531 return sc;
532 }
533 IConversionSvc* dataLoader = 0;
534 sc = service( m_loader, dataLoader, true );
535 if ( !sc.isSuccess() ) {
536 error() << MSG::ERROR << "Failed to retrieve data loader "
537 << "\"" << m_loader << "\"" << endmsg;
538 return sc;
539 }
540 sc = setDataLoader( dataLoader );
541 dataLoader->release();
542 if ( !sc.isSuccess() ) {
543 error() << MSG::ERROR << "Failed to set data loader "
544 << "\"" << m_loader << "\"" << endmsg;
545 return sc;
546 }
547 return sc;
548 }
HiveWhiteBoard::setDataLoader
StatusCode setDataLoader(IConversionSvc *pDataLoader, IDataProviderSvc *dpsvc __attribute__((unused))=nullptr) override
IDataManagerSvc: Pass a default data loader to the service.
Definition: HiveWhiteBoard.cpp:218
IConversionSvc
Definition: IConversionSvc.h:37
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:75
HiveWhiteBoard::m_loader
Gaudi::Property< std::string > m_loader
Definition: HiveWhiteBoard.cpp:102
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:106
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
IInterface::release
virtual unsigned long release()=0
Release Interface instance.
HiveWhiteBoard::m_addrCreator
IAddressCreator * m_addrCreator
Reference to address creator.
Definition: HiveWhiteBoard.cpp:111
MSG::ERROR
Definition: IMessageSvc.h:16
Service::service
StatusCode service(const std::string &name, const T *&psvc, bool createIf=true) const
Access a service by name, creating it if it doesn&#39;t already exist.
Definition: Service.h:85
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode HiveWhiteBoard::clearStore | ( |  | ) |
| inline override

IDataManagerSvc: Remove all data objects in the data store.

Definition at line 185 of file HiveWhiteBoard.cpp.

186 {
187 for ( auto& p : m_partitions ) p.dataManager->clearStore().ignore();
188 return StatusCode::SUCCESS;
189 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::clearStore | ( | size_t | partition | ) |
| inline override

Remove all data objects in one 'slot' of the data store.

Definition at line 446 of file HiveWhiteBoard.cpp.

446 { return m_partitions[partition].dataManager->clearStore(); }
std::partition
T partition(T...args)
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::clearSubTree | ( | const std::string & | path | ) |
| inline override

Remove all data objects below the sub tree identified.

Definition at line 181 of file HiveWhiteBoard.cpp.

181 { _CALL( dataManager, clearSubTree, ( path ) ); }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::clearSubTree
StatusCode clearSubTree(const std::string &path) override
Remove all data objects below the sub tree identified.
Definition: HiveWhiteBoard.cpp:181

StatusCode HiveWhiteBoard::clearSubTree | ( | DataObject * | pObject | ) |
| inline override

Remove all data objects below the sub tree identified.

Definition at line 183 of file HiveWhiteBoard.cpp.

183 { _CALL( dataManager, clearSubTree, ( pObject ) ); }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::clearSubTree
StatusCode clearSubTree(const std::string &path) override
Remove all data objects below the sub tree identified.
Definition: HiveWhiteBoard.cpp:181

StatusCode HiveWhiteBoard::detachServices | ( |  | ) |
| inline

Definition at line 550 of file HiveWhiteBoard.cpp.

551 {
552 if ( m_addrCreator ) m_addrCreator->release();
553 if ( m_dataLoader ) m_dataLoader->release();
554 m_addrCreator = 0;
555 m_dataLoader = 0;
556 return StatusCode::SUCCESS;
557 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
IInterface::release
virtual unsigned long release()=0
Release Interface instance.
HiveWhiteBoard::m_addrCreator
IAddressCreator * m_addrCreator
Reference to address creator.
Definition: HiveWhiteBoard.cpp:111
HiveWhiteBoard::m_dataLoader
IConversionSvc * m_dataLoader
Pointer to data loader service.
Definition: HiveWhiteBoard.cpp:109

StatusCode HiveWhiteBoard::finalize | ( |  | ) |
| inline override

Service initialisation.

Definition at line 618 of file HiveWhiteBoard.cpp.

619 {
620 setDataLoader( 0 ).ignore();
621 clearStore().ignore();
622 return Service::finalize();
623 }
HiveWhiteBoard::setDataLoader
StatusCode setDataLoader(IConversionSvc *pDataLoader, IDataProviderSvc *dpsvc __attribute__((unused))=nullptr) override
IDataManagerSvc: Pass a default data loader to the service.
Definition: HiveWhiteBoard.cpp:218
Service::finalize
StatusCode finalize() override
Definition: Service.cpp:174
HiveWhiteBoard::clearStore
StatusCode clearStore() override
IDataManagerSvc: Remove all data objects in the data store.
Definition: HiveWhiteBoard.cpp:185
StatusCode::ignore
void ignore() const
Definition: StatusCode.h:109

StatusCode HiveWhiteBoard::findObject | ( | const std::string & | path,
|  | DataObject *& | pObj
| ) |  |
| inline override

Find object identified by its full path in the data store.

Definition at line 358 of file HiveWhiteBoard.cpp.

359 {
360 _CALL( dataProvider, retrieveObject, ( path, pObj ) );
361 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::findObject | ( | IRegistry * | parent,
|  | const std::string & | path,
|  | DataObject *& | pObj
| ) |  |
| inline override

Find object identified by its full path in the data store.

Definition at line 363 of file HiveWhiteBoard.cpp.

364 {
365 _CALL( dataProvider, retrieveObject, ( parent, path, pObj ) );
366 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::findObject | ( | const std::string & | parent,
|  | const std::string & | path,
|  | DataObject *& | pObj
| ) |  |
| inline override

Find object in the data store.

Definition at line 368 of file HiveWhiteBoard.cpp.

369 {
370 _CALL( dataProvider, retrieveObject, ( parent, path, pObj ) );
371 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::findObject | ( | const std::string & | parent,
|  | int | item,
|  | DataObject *& | pObject
| ) |  |
| inline override

Find object in the data store.

Definition at line 373 of file HiveWhiteBoard.cpp.

374 {
375 _CALL( dataProvider, findObject, ( parent, item, pObject ) );
376 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::findObject
StatusCode findObject(const std::string &path, DataObject *&pObj) override
Find object identified by its full path in the data store.
Definition: HiveWhiteBoard.cpp:358

StatusCode HiveWhiteBoard::findObject | ( | DataObject * | parent,
|  | const std::string & | path,
|  | DataObject *& | pObject
| ) |  |
| inline override

Find object in the data store.

Definition at line 378 of file HiveWhiteBoard.cpp.

379 {
380 _CALL( dataProvider, findObject, ( parent, path, pObject ) );
381 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::findObject
StatusCode findObject(const std::string &path, DataObject *&pObj) override
Find object identified by its full path in the data store.
Definition: HiveWhiteBoard.cpp:358

StatusCode HiveWhiteBoard::findObject | ( | DataObject * | parent,
|  | int | item,
|  | DataObject *& | pObject
| ) |  |
| inline override

Find object in the data store.

Definition at line 383 of file HiveWhiteBoard.cpp.

384 {
385 _CALL( dataProvider, findObject, ( parent, item, pObject ) );
386 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::findObject
StatusCode findObject(const std::string &path, DataObject *&pObj) override
Find object identified by its full path in the data store.
Definition: HiveWhiteBoard.cpp:358

StatusCode HiveWhiteBoard::freeStore | ( | size_t | partition | ) |
| inline override

Free a store partition.

Definition at line 507 of file HiveWhiteBoard.cpp.

508 {
509 m_partitions[partition].eventNumber = -1;
510 // info() << "Freed slot..." << partition << endmsg;
511 return StatusCode::SUCCESS;
512 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
std::partition
T partition(T...args)
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::getNewDataObjects | ( | DataObjIDColl & | products | ) |
| inline override

Get the list of new DataObjects in the current store.

Definition at line 470 of file HiveWhiteBoard.cpp.

471 {
472 wbMutex::scoped_lock lock;
473 lock.acquire( s_current->storeMutex );
474 products = s_current->newDataObjects;
475 s_current->newDataObjects.clear();
476 return StatusCode::SUCCESS;
477 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
std::lock
T lock(T...args)
std::unordered_set::clear
T clear(T...args)

size_t HiveWhiteBoard::getNumberOfStores | ( |  | ) | const
| inline override

Get the number of event slots (copies of DataSvc objects).

Definition at line 467 of file HiveWhiteBoard.cpp.

467 { return m_slots; }
HiveWhiteBoard::m_slots
Gaudi::Property< int > m_slots
Definition: HiveWhiteBoard.cpp:103

size_t HiveWhiteBoard::getPartitionNumber | ( | int | eventnumber | ) | const
| inline override

Get the partition number corresponding to a given event.

Definition at line 515 of file HiveWhiteBoard.cpp.

516 {
517 size_t index{};
518 for ( auto& p : m_partitions ) {
519 if ( p.eventNumber == eventnumber ) return index;
520 ++index;
521 }
522 return std::string::npos;
523 }
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::initialize | ( |  | ) |
| inline override

Service initialisation.

Definition at line 564 of file HiveWhiteBoard.cpp.

565 {
566 StatusCode sc = Service::initialize();
567 if ( !sc.isSuccess() ) {
568 error() << "Unable to initialize base class" << endmsg;
569 return sc;
570 }
571
572 if ( 1 > m_slots ) {
573 error() << "Invalid number of slots (" << m_slots << ")" << endmsg;
574 return StatusCode::FAILURE;
575 }
576
577 for ( int i = 0; i < m_slots; i++ ) {
578 std::ostringstream oss;
579 oss << name() << "_" << i;
580 DataSvc* svc = new DataSvc( oss.str(), serviceLocator() );
581 // Percolate properties
582 svc->setProperty( m_rootCLID ).ignore();
583 svc->setProperty( m_rootName ).ignore();
584 svc->setProperty( m_forceLeaves ).ignore();
585 svc->setProperty( m_enableFaultHdlr ).ignore();
586 // make sure that CommonMessaging is initialized
587 svc->setProperty( m_outputLevel ).ignore();
588
589 sc = svc->initialize();
590 if ( !sc.isSuccess() ) {
591 error() << "Failed to instantiate DataSvc as store partition" << endmsg;
592 return sc;
593 }
594 m_partitions.push_back( Partition( svc, svc ) );
595 }
596 selectStore( 0 ).ignore();
597 return attachServices();
598 }
Service::m_outputLevel
Gaudi::Property< int > m_outputLevel
Definition: Service.h:183
Service::initialize
StatusCode initialize() override
Definition: Service.cpp:64
HiveWhiteBoard::m_rootName
Gaudi::Property< std::string > m_rootName
Definition: HiveWhiteBoard.cpp:101
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:289
StatusCode::FAILURE
Definition: StatusCode.h:31
HiveWhiteBoard::m_enableFaultHdlr
Gaudi::Property< bool > m_enableFaultHdlr
Definition: HiveWhiteBoard.cpp:105
PropertyHolder::setProperty
StatusCode setProperty(const Gaudi::Details::PropertyBase &p) override
set the property form another property
Definition: PropertyHolder.h:208
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:75
HiveWhiteBoard::m_slots
Gaudi::Property< int > m_slots
Definition: HiveWhiteBoard.cpp:103
HiveWhiteBoard::selectStore
StatusCode selectStore(size_t partition) override
Activate a partition object. The identifies the partition uniquely.
Definition: HiveWhiteBoard.cpp:449
std::vector::push_back
T push_back(T...args)
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:106
HiveWhiteBoard::m_rootCLID
Gaudi::Property< CLID > m_rootCLID
Definition: HiveWhiteBoard.cpp:100
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
std::ostringstream
STL class.
std::ostringstream::str
T str(T...args)
HiveWhiteBoard::attachServices
StatusCode attachServices()
Definition: HiveWhiteBoard.cpp:525
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113
HiveWhiteBoard::m_forceLeaves
Gaudi::Property< bool > m_forceLeaves
Definition: HiveWhiteBoard.cpp:104
DataSvc::initialize
StatusCode initialize() override
Service initialization.
Definition: DataSvc.cpp:1119
DataSvc
Data service base class.
Definition: DataSvc.h:44
StatusCode::ignore
void ignore() const
Definition: StatusCode.h:109
Service::serviceLocator
SmartIF< ISvcLocator > & serviceLocator() const override
Retrieve pointer to service locator.
Definition: Service.cpp:292
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode HiveWhiteBoard::linkObject | ( | IRegistry * | from,
|  | const std::string & | objPath,
|  | DataObject * | to
| ) |  |
| inline override

Add a link to another object.

Definition at line 388 of file HiveWhiteBoard.cpp.

389 {
390 _CALL( dataProvider, linkObject, ( from, objPath, to ) );
391 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::linkObject
StatusCode linkObject(IRegistry *from, const std::string &objPath, DataObject *to) override
Add a link to another object.
Definition: HiveWhiteBoard.cpp:388

StatusCode HiveWhiteBoard::linkObject | ( | const std::string & | from,
|  | const std::string & | objPath,
|  | DataObject * | to
| ) |  |
| inline override

Add a link to another object.

Definition at line 393 of file HiveWhiteBoard.cpp.

394 {
395 _CALL( dataProvider, linkObject, ( from, objPath, to ) );
396 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::linkObject
StatusCode linkObject(IRegistry *from, const std::string &objPath, DataObject *to) override
Add a link to another object.
Definition: HiveWhiteBoard.cpp:388

StatusCode HiveWhiteBoard::linkObject | ( | DataObject * | from,
|  | const std::string & | objPath,
|  | DataObject * | to
| ) |  |
| inline override

Add a link to another object.

Definition at line 398 of file HiveWhiteBoard.cpp.

399 {
400 _CALL( dataProvider, linkObject, ( from, objPath, to ) );
401 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::linkObject
StatusCode linkObject(IRegistry *from, const std::string &objPath, DataObject *to) override
Add a link to another object.
Definition: HiveWhiteBoard.cpp:388

StatusCode HiveWhiteBoard::linkObject | ( | const std::string & | fullPath,
|  | DataObject * | to
| ) |  |
| inline override

Add a link to another object.

Definition at line 403 of file HiveWhiteBoard.cpp.

404 {
405 _CALL( dataProvider, linkObject, ( fullPath, to ) );
406 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::linkObject
StatusCode linkObject(IRegistry *from, const std::string &objPath, DataObject *to) override
Add a link to another object.
Definition: HiveWhiteBoard.cpp:388

bool HiveWhiteBoard::newDataObjectsPresent | ( |  | ) |
| inline override

Check if new DataObjects are in the current store.

Definition at line 480 of file HiveWhiteBoard.cpp.

481 {
482 wbMutex::scoped_lock lock;
483 lock.acquire( s_current->storeMutex );
484 return s_current->newDataObjects.size() != 0;
485 }
std::lock
T lock(T...args)

StatusCode HiveWhiteBoard::objectLeaves | ( | const DataObject * | pObject,
|  | std::vector< IRegistry * > & | leaves
| ) |  |
| inline override

Explore the object store: retrieve all leaves attached to the object.

Definition at line 161 of file HiveWhiteBoard.cpp.

162 {
163 _CALL( dataManager, objectLeaves, ( pObject, leaves ) );
164 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::objectLeaves
StatusCode objectLeaves(const DataObject *pObject, std::vector< IRegistry * > &leaves) override
Explore the object store: retrieve all leaves attached to the object.
Definition: HiveWhiteBoard.cpp:161

StatusCode HiveWhiteBoard::objectLeaves | ( | const IRegistry * | pObject,
|  | std::vector< IRegistry * > & | leaves
| ) |  |
| inline override

Explore the object store: retrieve all leaves attached to the object.

Definition at line 166 of file HiveWhiteBoard.cpp.

167 {
168 _CALL( dataManager, objectLeaves, ( pObject, leaves ) );
169 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::objectLeaves
StatusCode objectLeaves(const DataObject *pObject, std::vector< IRegistry * > &leaves) override
Explore the object store: retrieve all leaves attached to the object.
Definition: HiveWhiteBoard.cpp:161

StatusCode HiveWhiteBoard::objectParent | ( | const DataObject * | pObject,
|  | IRegistry *& | refpParent
| ) |  |
| inline override

IDataManagerSvc: Explore the object store: retrieve the object's parent.

Definition at line 171 of file HiveWhiteBoard.cpp.

172 {
173 _CALL( dataManager, objectParent, ( pObject, refpParent ) );
174 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::objectParent
StatusCode objectParent(const DataObject *pObject, IRegistry *&refpParent) override
IDataManagerSvc: Explore the object store: retrieve the object&#39;s parent.
Definition: HiveWhiteBoard.cpp:171

StatusCode HiveWhiteBoard::objectParent | ( | const IRegistry * | pObject,
|  | IRegistry *& | refpParent
| ) |  |
| inline override

IDataManagerSvc: Explore the object store: retrieve the object's parent.

Definition at line 176 of file HiveWhiteBoard.cpp.

177 {
178 _CALL( dataManager, objectParent, ( pObject, refpParent ) );
179 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::objectParent
StatusCode objectParent(const DataObject *pObject, IRegistry *&refpParent) override
IDataManagerSvc: Explore the object store: retrieve the object&#39;s parent.
Definition: HiveWhiteBoard.cpp:171

StatusCode HiveWhiteBoard::preLoad | ( |  | ) |
| inline override

load all preload items of the list

Definition at line 263 of file HiveWhiteBoard.cpp.

264 {
265 wbMutex::scoped_lock lock;
266 lock.acquire( s_current->storeMutex );
267 StatusCode sc = s_current->dataProvider->preLoad();
268 DataAgent da( s_current->newDataObjects );
269 s_current->dataManager->traverseTree( &da );
270 return sc;
271 }
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
std::lock
T lock(T...args)

StatusCode HiveWhiteBoard::registerAddress | ( | const std::string & | path,
|  | IOpaqueAddress * | pAddr
| ) |  |
| inline override

IDataManagerSvc: Register object address with the data store.

Definition at line 131 of file HiveWhiteBoard.cpp.

132 {
133 _CALL( dataManager, registerAddress, ( path, pAddr ) );
134 }
HiveWhiteBoard::registerAddress
StatusCode registerAddress(const std::string &path, IOpaqueAddress *pAddr) override
IDataManagerSvc: Register object address with the data store.
Definition: HiveWhiteBoard.cpp:131
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::registerAddress | ( | DataObject * | parent,
|  | const std::string & | path,
|  | IOpaqueAddress * | pAddr
| ) |  |
| inline override

IDataManagerSvc: Register object address with the data store.

Definition at line 136 of file HiveWhiteBoard.cpp.

137 {
138 _CALL( dataManager, registerAddress, ( parent, path, pAddr ) );
139 }
HiveWhiteBoard::registerAddress
StatusCode registerAddress(const std::string &path, IOpaqueAddress *pAddr) override
IDataManagerSvc: Register object address with the data store.
Definition: HiveWhiteBoard.cpp:131
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::registerAddress | ( | IRegistry * | parent,
|  | const std::string & | path,
|  | IOpaqueAddress * | pAdd
| ) |  |
| inline override

IDataManagerSvc: Register object address with the data store.

Definition at line 141 of file HiveWhiteBoard.cpp.

142 {
143 _CALL( dataManager, registerAddress, ( parent, path, pAdd ) );
144 }
HiveWhiteBoard::registerAddress
StatusCode registerAddress(const std::string &path, IOpaqueAddress *pAddr) override
IDataManagerSvc: Register object address with the data store.
Definition: HiveWhiteBoard.cpp:131
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::registerObject | ( | const std::string & | path,
|  | DataObject * | pObj
| ) |  |
| inline override

Register object with the data store. (The most common one is the only monitored one for the time being....)

Definition at line 273 of file HiveWhiteBoard.cpp.

274 {
275 wbMutex::scoped_lock lock;
276 lock.acquire( s_current->storeMutex );
277 StatusCode sc = s_current->dataProvider->registerObject( path, pObj );
278 if ( sc.isSuccess() ) {
279 s_current->newDataObjects.insert( DataObjID( path ) );
280 }
281 return sc;
282 }
DataObjID
Definition: DataObjID.h:37
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:75
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
std::lock
T lock(T...args)

StatusCode HiveWhiteBoard::registerObject | ( | const std::string & | parent,
|  | const std::string & | obj,
|  | DataObject * | pObj
| ) |  |
| inline override

Register object with the data store.

Definition at line 284 of file HiveWhiteBoard.cpp.

285 {
286 _CALL( dataProvider, registerObject, ( parent, obj, pObj ) );
287 }
HiveWhiteBoard::registerObject
StatusCode registerObject(const std::string &path, DataObject *pObj) override
Register object with the data store. (The most common one is the only monitored one for the time bein...
Definition: HiveWhiteBoard.cpp:273
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::registerObject | ( | const std::string & | parent,
|  | int | item,
|  | DataObject * | pObj
| ) |  |
| inline override

Register object with the data store.

Definition at line 289 of file HiveWhiteBoard.cpp.

290 {
291 _CALL( dataProvider, registerObject, ( parent, item, pObj ) );
292 }
HiveWhiteBoard::registerObject
StatusCode registerObject(const std::string &path, DataObject *pObj) override
Register object with the data store. (The most common one is the only monitored one for the time bein...
Definition: HiveWhiteBoard.cpp:273
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::registerObject | ( | DataObject * | parent,
|  | const std::string & | obj,
|  | DataObject * | pObj
| ) |  |
| inline override

Register object with the data store.

Definition at line 294 of file HiveWhiteBoard.cpp.

295 {
296 _CALL( dataProvider, registerObject, ( parent, obj, pObj ) );
297 }
HiveWhiteBoard::registerObject
StatusCode registerObject(const std::string &path, DataObject *pObj) override
Register object with the data store. (The most common one is the only monitored one for the time bein...
Definition: HiveWhiteBoard.cpp:273
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::registerObject | ( | DataObject * | parent,
|  | int | obj,
|  | DataObject * | pObj
| ) |  |
| inline override

Register object with the data store.

Definition at line 299 of file HiveWhiteBoard.cpp.

300 {
301 _CALL( dataProvider, registerObject, ( parent, obj, pObj ) );
302 }
HiveWhiteBoard::registerObject
StatusCode registerObject(const std::string &path, DataObject *pObj) override
Register object with the data store. (The most common one is the only monitored one for the time bein...
Definition: HiveWhiteBoard.cpp:273
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::reinitialize | ( |  | ) |
| inline override

Service initialisation.

Definition at line 601 of file HiveWhiteBoard.cpp.

602 {
603 StatusCode sc = Service::reinitialize();
604 if ( !sc.isSuccess() ) {
605 error() << "Unable to reinitialize base class" << endmsg;
606 return sc;
607 }
608 detachServices();
609 sc = attachServices();
610 if ( !sc.isSuccess() ) {
611 error() << "Failed to attach necessary services." << endmsg;
612 return sc;
613 }
614 return StatusCode::SUCCESS;
615 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:75
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:106
HiveWhiteBoard::detachServices
StatusCode detachServices()
Definition: HiveWhiteBoard.cpp:550
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
Service::reinitialize
StatusCode reinitialize() override
Definition: Service.cpp:250
HiveWhiteBoard::attachServices
StatusCode attachServices()
Definition: HiveWhiteBoard.cpp:525
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode HiveWhiteBoard::removePreLoadItem | ( | const DataStoreItem & | item | ) |
| inline override

Remove an item from the preload list.

Definition at line 245 of file HiveWhiteBoard.cpp.

246 {
247 for ( auto& p : m_partitions ) p.dataProvider->removePreLoadItem( item );
248 return StatusCode::SUCCESS;
249 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::removePreLoadItem | ( | const std::string & | item | ) |
| inline override

Add an item to the preload list.

Definition at line 251 of file HiveWhiteBoard.cpp.

252 {
253 for ( auto& p : m_partitions ) p.dataProvider->removePreLoadItem( item );
254 return StatusCode::SUCCESS;
255 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::resetPreLoad | ( |  | ) |
| inline override

Clear the preload list.

Definition at line 257 of file HiveWhiteBoard.cpp.

258 {
259 for ( auto& p : m_partitions ) p.dataProvider->resetPreLoad();
260 return StatusCode::SUCCESS;
261 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::retrieveObject | ( | IRegistry * | parent,
|  | const std::string & | path,
|  | DataObject *& | pObj
| ) |  |
| inline override

Retrieve object from data store.

Definition at line 328 of file HiveWhiteBoard.cpp.

329 {
330 _CALL( dataProvider, retrieveObject, ( parent, path, pObj ) );
331 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::retrieveObject | ( | const std::string & | path,
|  | DataObject *& | pObj
| ) |  |
| inline override

Retrieve object identified by its full path from the data store.

Definition at line 333 of file HiveWhiteBoard.cpp.

334 {
335 _CALL( dataProvider, retrieveObject, ( path, pObj ) );
336 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::retrieveObject | ( | const std::string & | parent,
|  | const std::string & | path,
|  | DataObject *& | pObj
| ) |  |
| inline override

Retrieve object from data store.

Definition at line 338 of file HiveWhiteBoard.cpp.

339 {
340 _CALL( dataProvider, retrieveObject, ( parent, path, pObj ) );
341 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::retrieveObject | ( | const std::string & | parent,
|  | int | item,
|  | DataObject *& | pObj
| ) |  |
| inline override

Retrieve object from data store.

Definition at line 343 of file HiveWhiteBoard.cpp.

344 {
345 _CALL( dataProvider, retrieveObject, ( parent, item, pObj ) );
346 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::retrieveObject | ( | DataObject * | parent,
|  | const std::string & | path,
|  | DataObject *& | pObj
| ) |  |
| inline override

Retrieve object from data store.

Definition at line 348 of file HiveWhiteBoard.cpp.

349 {
350 _CALL( dataProvider, retrieveObject, ( parent, path, pObj ) );
351 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

StatusCode HiveWhiteBoard::retrieveObject | ( | DataObject * | parent,
|  | int | item,
|  | DataObject *& | pObj
| ) |  |
| inline override

Retrieve object from data store.

Definition at line 353 of file HiveWhiteBoard.cpp.

354 {
355 _CALL( dataProvider, retrieveObject, ( parent, item, pObj ) );
356 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::retrieveObject
StatusCode retrieveObject(IRegistry *parent, const std::string &path, DataObject *&pObj) override
Retrieve object from data store.
Definition: HiveWhiteBoard.cpp:328

CLID HiveWhiteBoard::rootCLID | ( |  | ) | const
| inline override

IDataManagerSvc: Accessor for root event CLID.

Definition at line 117 of file HiveWhiteBoard.cpp.

117 { return (CLID)m_rootCLID; }
HiveWhiteBoard::m_rootCLID
Gaudi::Property< CLID > m_rootCLID
Definition: HiveWhiteBoard.cpp:100
CLID
unsigned int CLID
Class ID definition.
Definition: ClassID.h:8

const std::string& HiveWhiteBoard::rootName | ( |  | ) | const
| inline override

Name for root Event.

Definition at line 119 of file HiveWhiteBoard.cpp.

119 { return m_rootName; }
HiveWhiteBoard::m_rootName
Gaudi::Property< std::string > m_rootName
Definition: HiveWhiteBoard.cpp:101

StatusCode HiveWhiteBoard::selectStore | ( | size_t | partition | ) |
| inline override

Activate a partition object. The identifies the partition uniquely.

Definition at line 449 of file HiveWhiteBoard.cpp.

450 {
451 s_current = &m_partitions[partition];
452 return StatusCode::SUCCESS;
453 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
std::partition
T partition(T...args)
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113

StatusCode HiveWhiteBoard::setDataLoader | ( | IConversionSvc * | pDataLoader,
|  | IDataProviderSvc *dpsvc | __attribute__(unused) = `nullptr`
| ) |  |
| inline override

IDataManagerSvc: Pass a default data loader to the service.

The optional data provider is not considered. On the other hand, the data provider is specified to be the whiteboard.

Definition at line 218 of file HiveWhiteBoard.cpp.

220 {
221 if ( 0 != pDataLoader ) pDataLoader->addRef();
222 if ( 0 != m_dataLoader ) m_dataLoader->release();
223 if ( 0 != pDataLoader ) {
224 pDataLoader->setDataProvider( this );
225 }
226 m_dataLoader = pDataLoader;
227 for ( auto& p : m_partitions ) {
228 p.dataManager->setDataLoader( m_dataLoader, this ).ignore();
229 }
230 return SUCCESS;
231 }
GaudiPython.Bindings.SUCCESS
SUCCESS
Definition: Bindings.py:56
IConverter::setDataProvider
virtual StatusCode setDataProvider(IDataProviderSvc *pService)=0
Set Data provider service.
HiveWhiteBoard::m_partitions
Partitions m_partitions
Datastore partitions.
Definition: HiveWhiteBoard.cpp:113
IInterface::release
virtual unsigned long release()=0
Release Interface instance.
IInterface::addRef
virtual unsigned long addRef()=0
Increment the reference count of Interface instance.
HiveWhiteBoard::m_dataLoader
IConversionSvc * m_dataLoader
Pointer to data loader service.
Definition: HiveWhiteBoard.cpp:109

StatusCode HiveWhiteBoard::setNumberOfStores | ( | size_t | slots | ) |
| inline override

Set the number of event slots (copies of DataSvc objects).

Definition at line 456 of file HiveWhiteBoard.cpp.

457 {
458 if ( (int)slots != m_slots and FSMState() == Gaudi::StateMachine::INITIALIZED ) {
459 warning() << "Too late to change the number of slots!" << endmsg;
460 return StatusCode::FAILURE;
461 }
462 m_slots = slots;
463 return StatusCode::SUCCESS;
464 }
Gaudi::StateMachine::INITIALIZED
Definition: StateMachine.h:17
StatusCode::SUCCESS
Definition: StatusCode.h:31
StatusCode::FAILURE
Definition: StatusCode.h:31
HiveWhiteBoard::m_slots
Gaudi::Property< int > m_slots
Definition: HiveWhiteBoard.cpp:103
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:109
Service::FSMState
Gaudi::StateMachine::State FSMState() const override
Definition: Service.h:54
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode HiveWhiteBoard::setRoot | ( | std::string | path,
|  | DataObject * | pObj
| ) |  |
| inline override

Initialize data store for new event by giving new event path and root object.

Takes care to clear the store before reinitializing it

Definition at line 205 of file HiveWhiteBoard.cpp.

205 { _CALL( dataManager, setRoot, ( path, pObj ) ); }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::setRoot
StatusCode setRoot(std::string path, DataObject *pObj) override
Initialize data store for new event by giving new event path and root object.
Definition: HiveWhiteBoard.cpp:205

StatusCode HiveWhiteBoard::setRoot | ( | std::string | path,
|  | IOpaqueAddress * | pAddr
| ) |  |
| inline override

Initialize data store for new event by giving new event path and address of root object.

Takes care to clear the store before reinitializing it

Definition at line 209 of file HiveWhiteBoard.cpp.

210 {
211 _CALL( dataManager, setRoot, ( path, pAddr ) );
212 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::setRoot
StatusCode setRoot(std::string path, DataObject *pObj) override
Initialize data store for new event by giving new event path and root object.
Definition: HiveWhiteBoard.cpp:205

StatusCode HiveWhiteBoard::traverseSubTree | ( | const std::string & | path,
|  | IDataStoreAgent * | pAgent
| ) |  |
| inline override

Analyze by traversing all data objects below the sub tree.

Definition at line 192 of file HiveWhiteBoard.cpp.

193 {
194 _CALL( dataManager, traverseSubTree, ( path, pAgent ) );
195 }
HiveWhiteBoard::traverseSubTree
StatusCode traverseSubTree(const std::string &path, IDataStoreAgent *pAgent) override
Analyze by traversing all data objects below the sub tree.
Definition: HiveWhiteBoard.cpp:192
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::traverseSubTree | ( | DataObject * | pObject,
|  | IDataStoreAgent * | pAgent
| ) |  |
| inline override

IDataManagerSvc: Analyze by traversing all data objects below the sub tree.

Definition at line 197 of file HiveWhiteBoard.cpp.

198 {
199 _CALL( dataManager, traverseSubTree, ( pObject, pAgent ) );
200 }
HiveWhiteBoard::traverseSubTree
StatusCode traverseSubTree(const std::string &path, IDataStoreAgent *pAgent) override
Analyze by traversing all data objects below the sub tree.
Definition: HiveWhiteBoard.cpp:192
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::traverseTree | ( | IDataStoreAgent * | pAgent | ) |
| inline override

IDataManagerSvc: Analyze by traversing all data objects in the data store.

Definition at line 202 of file HiveWhiteBoard.cpp.

202 { _CALL( dataManager, traverseTree, ( pAgent ) ); }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::traverseTree
StatusCode traverseTree(IDataStoreAgent *pAgent) override
IDataManagerSvc: Analyze by traversing all data objects in the data store.
Definition: HiveWhiteBoard.cpp:202

StatusCode HiveWhiteBoard::unlinkObject | ( | IRegistry * | from,
|  | const std::string & | objPath
| ) |  |
| inline override

Remove a link to another object.

Definition at line 408 of file HiveWhiteBoard.cpp.

409 {
410 _CALL( dataProvider, unlinkObject, ( from, objPath ) );
411 }
HiveWhiteBoard::unlinkObject
StatusCode unlinkObject(IRegistry *from, const std::string &objPath) override
Remove a link to another object.
Definition: HiveWhiteBoard.cpp:408
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::unlinkObject | ( | const std::string & | from,
|  | const std::string & | objPath
| ) |  |
| inline override

Remove a link to another object.

Definition at line 413 of file HiveWhiteBoard.cpp.

414 {
415 _CALL( dataProvider, unlinkObject, ( from, objPath ) );
416 }
HiveWhiteBoard::unlinkObject
StatusCode unlinkObject(IRegistry *from, const std::string &objPath) override
Remove a link to another object.
Definition: HiveWhiteBoard.cpp:408
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::unlinkObject | ( | DataObject * | from,
|  | const std::string & | objPath
| ) |  |
| inline override

Remove a link to another object.

Definition at line 418 of file HiveWhiteBoard.cpp.

419 {
420 _CALL( dataProvider, unlinkObject, ( from, objPath ) );
421 }
HiveWhiteBoard::unlinkObject
StatusCode unlinkObject(IRegistry *from, const std::string &objPath) override
Remove a link to another object.
Definition: HiveWhiteBoard.cpp:408
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::unlinkObject | ( | const std::string & | path | ) |
| inline override

Remove a link to another object.

Definition at line 423 of file HiveWhiteBoard.cpp.

423 { _CALL( dataProvider, unlinkObject, ( path ) ); }
HiveWhiteBoard::unlinkObject
StatusCode unlinkObject(IRegistry *from, const std::string &objPath) override
Remove a link to another object.
Definition: HiveWhiteBoard.cpp:408
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::unregisterAddress | ( | const std::string & | path | ) |
| inline override

IDataManagerSvc: Unregister object address from the data store.

Definition at line 146 of file HiveWhiteBoard.cpp.

147 {
148 _CALL( dataManager, unregisterAddress, ( path ) );
149 }
HiveWhiteBoard::unregisterAddress
StatusCode unregisterAddress(const std::string &path) override
IDataManagerSvc: Unregister object address from the data store.
Definition: HiveWhiteBoard.cpp:146
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::unregisterAddress | ( | DataObject * | pParent,
|  | const std::string & | path
| ) |  |
| inline override

IDataManagerSvc: Unregister object address from the data store.

Definition at line 151 of file HiveWhiteBoard.cpp.

152 {
153 _CALL( dataManager, unregisterAddress, ( pParent, path ) );
154 }
HiveWhiteBoard::unregisterAddress
StatusCode unregisterAddress(const std::string &path) override
IDataManagerSvc: Unregister object address from the data store.
Definition: HiveWhiteBoard.cpp:146
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::unregisterAddress | ( | IRegistry * | pParent,
|  | const std::string & | path
| ) |  |
| inline override

IDataManagerSvc: Unregister object address from the data store.

Definition at line 156 of file HiveWhiteBoard.cpp.

157 {
158 _CALL( dataManager, unregisterAddress, ( pParent, path ) );
159 }
HiveWhiteBoard::unregisterAddress
StatusCode unregisterAddress(const std::string &path) override
IDataManagerSvc: Unregister object address from the data store.
Definition: HiveWhiteBoard.cpp:146
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::unregisterObject | ( | const std::string & | path | ) |
| inline override

Unregister object from the data store.

Definition at line 304 of file HiveWhiteBoard.cpp.

304 { _CALL( dataProvider, unregisterObject, ( path ) ); }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::unregisterObject
StatusCode unregisterObject(const std::string &path) override
Unregister object from the data store.
Definition: HiveWhiteBoard.cpp:304

StatusCode HiveWhiteBoard::unregisterObject | ( | const std::string & | parent,
|  | const std::string & | obj
| ) |  |
| inline override

Unregister object from the data store.

Definition at line 306 of file HiveWhiteBoard.cpp.

307 {
308 _CALL( dataProvider, unregisterObject, ( parent, obj ) );
309 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::unregisterObject
StatusCode unregisterObject(const std::string &path) override
Unregister object from the data store.
Definition: HiveWhiteBoard.cpp:304

StatusCode HiveWhiteBoard::unregisterObject | ( | const std::string & | parent,
|  | int | obj
| ) |  |
| inline override

Unregister object from the data store.

Definition at line 311 of file HiveWhiteBoard.cpp.

312 {
313 _CALL( dataProvider, unregisterObject, ( parent, obj ) );
314 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::unregisterObject
StatusCode unregisterObject(const std::string &path) override
Unregister object from the data store.
Definition: HiveWhiteBoard.cpp:304

StatusCode HiveWhiteBoard::unregisterObject | ( | DataObject * | pObj | ) |
| inline override

Unregister object from the data store.

Definition at line 316 of file HiveWhiteBoard.cpp.

316 { _CALL( dataProvider, unregisterObject, ( pObj ) ); }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::unregisterObject
StatusCode unregisterObject(const std::string &path) override
Unregister object from the data store.
Definition: HiveWhiteBoard.cpp:304

StatusCode HiveWhiteBoard::unregisterObject | ( | DataObject * | pObj,
|  | const std::string & | path
| ) |  |
| inline override

Unregister object from the data store.

Definition at line 318 of file HiveWhiteBoard.cpp.

319 {
320 _CALL( dataProvider, unregisterObject, ( pObj, path ) );
321 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::unregisterObject
StatusCode unregisterObject(const std::string &path) override
Unregister object from the data store.
Definition: HiveWhiteBoard.cpp:304

StatusCode HiveWhiteBoard::unregisterObject | ( | DataObject * | pObj,
|  | int | item
| ) |  |
| inline override

Unregister object from the data store.

Definition at line 323 of file HiveWhiteBoard.cpp.

324 {
325 _CALL( dataProvider, unregisterObject, ( pObj, item ) );
326 }
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122
HiveWhiteBoard::unregisterObject
StatusCode unregisterObject(const std::string &path) override
Unregister object from the data store.
Definition: HiveWhiteBoard.cpp:304

StatusCode HiveWhiteBoard::updateObject | ( | IRegistry * | pDirectory | ) |
| inline override

Update object identified by its directory entry.

Definition at line 425 of file HiveWhiteBoard.cpp.

425 { _CALL( dataProvider, updateObject, ( pDirectory ) ); }
HiveWhiteBoard::updateObject
StatusCode updateObject(IRegistry *pDirectory) override
Update object identified by its directory entry.
Definition: HiveWhiteBoard.cpp:425
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::updateObject | ( | const std::string & | path | ) |
| inline override

Update object.

Definition at line 427 of file HiveWhiteBoard.cpp.

427 { _CALL( dataProvider, updateObject, ( path ) ); }
HiveWhiteBoard::updateObject
StatusCode updateObject(IRegistry *pDirectory) override
Update object identified by its directory entry.
Definition: HiveWhiteBoard.cpp:425
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::updateObject | ( | DataObject * | pObj | ) |
| inline override

Update object.

Definition at line 429 of file HiveWhiteBoard.cpp.

429 { _CALL( dataProvider, updateObject, ( pObj ) ); }
HiveWhiteBoard::updateObject
StatusCode updateObject(IRegistry *pDirectory) override
Update object identified by its directory entry.
Definition: HiveWhiteBoard.cpp:425
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::updateObject | ( | const std::string & | parent,
|  | const std::string & | updatePath
| ) |  |
| inline override

Update object.

Definition at line 431 of file HiveWhiteBoard.cpp.

432 {
433 _CALL( dataProvider, updateObject, ( parent, updatePath ) );
434 }
HiveWhiteBoard::updateObject
StatusCode updateObject(IRegistry *pDirectory) override
Update object identified by its directory entry.
Definition: HiveWhiteBoard.cpp:425
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

StatusCode HiveWhiteBoard::updateObject | ( | DataObject * | parent,
|  | const std::string & | updatePath
| ) |  |
| inline override

Update object.

Definition at line 436 of file HiveWhiteBoard.cpp.

437 {
438 _CALL( dataProvider, updateObject, ( parent, updatePath ) );
439 }
HiveWhiteBoard::updateObject
StatusCode updateObject(IRegistry *pDirectory) override
Update object identified by its directory entry.
Definition: HiveWhiteBoard.cpp:425
_CALL
#define _CALL(P, F, ARGS)
Definition: HiveWhiteBoard.cpp:122

## Member Data Documentation

IAddressCreator* HiveWhiteBoard::m_addrCreator = nullptr
| protected

Reference to address creator.

Definition at line 111 of file HiveWhiteBoard.cpp.

IConversionSvc* HiveWhiteBoard::m_dataLoader = nullptr
| protected

Pointer to data loader service.

Definition at line 109 of file HiveWhiteBoard.cpp.

Gaudi::Property<bool> HiveWhiteBoard::m_enableFaultHdlr
| protected

Initial value:
{this, "EnableFaultHandler", false,
"enable incidents on data creation requests"}

Definition at line 105 of file HiveWhiteBoard.cpp.

Gaudi::Property<bool> HiveWhiteBoard::m_forceLeaves {this, "ForceLeaves", false, "force creation of default leaves on registerObject"}
| protected

Definition at line 104 of file HiveWhiteBoard.cpp.

Gaudi::Property<std::string> HiveWhiteBoard::m_loader {this, "DataLoader", "EventPersistencySvc", ""}
| protected

Definition at line 102 of file HiveWhiteBoard.cpp.

Partitions HiveWhiteBoard::m_partitions
| protected

Datastore partitions.

Definition at line 113 of file HiveWhiteBoard.cpp.

Gaudi::Property<CLID> HiveWhiteBoard::m_rootCLID {this, "RootCLID", 110 , "CLID of root entry"}
| protected

Definition at line 100 of file HiveWhiteBoard.cpp.

Gaudi::Property<std::string> HiveWhiteBoard::m_rootName {this, "RootName", "/Event", "name of root entry"}
| protected

Definition at line 101 of file HiveWhiteBoard.cpp.

Gaudi::Property<int> HiveWhiteBoard::m_slots {this, "EventSlots", 1, "number of event slots"}
| protected

Definition at line 103 of file HiveWhiteBoard.cpp.

The documentation for this class was generated from the following file:

- GaudiHive/src/HiveWhiteBoard.cpp